NAME	:= philo_bonus
FLAGS	:= -Wall -Werror -Wextra
SRC	:= extra.c monitor.c Philosophers.c routine.c threadfuncs.c

all: $(NAME)

bonus: $(NAME)

clean:
	@rm -rf $(NAME).dSYM

debug: fclean
	@cc $(FLAGS) -fsanitize=thread -g $(SRC) -o $(NAME)

fclean: clean
	@rm -rf $(NAME)

re: fclean all

$(NAME): $(SRC)
	@cc $(FLAGS) $(SRC) -o $(NAME)

.PHONY: all, bonus, clean, debug, fclean, re, $(NAME),
